shape.hh File Reference
`#include <mia/core/shape.hh>`
`#include <mia/core/factory.hh>`
`#include <mia/3d/image.hh>`
Include dependency graph for 3d/shape.hh:

Go to the source code of this file.

## Typedefs

typedef TShape< T3DVector, C3DBitImage > | C3DShape
| a 3D bit shape for morphological processing
typedef TFactory< C3DShape > | C3DShapePlugin
| Base class for the 3D shape plug-ins.
typedef THandlerSingleton< TFactoryPluginHandler< C3DShapePlugin > > | C3DShapePluginHandler
| Plugin handler for 3D shapes.
typedef std::shared_ptr< C3DShape > | P3DShape
| pointer to a 3D bit shape for morphological processing

## Variables

template class EXPORT_3D | TShape< T3DVector, C3DBitImage >

## Variable Documentation

## TShape< T3DVector, C3DBitImage >

template class EXPORT_3D TShape< T3DVector, C3DBitImage >

extern